$navbar-height: getNavHeight();
.navbar-section{
  width: 100%;
  z-index: 999;
  top: 0;
  position: fixed;
  &.fixed,&.sticky{
    position: fixed;
  }
  &.sticky, &.enable-bg{
    .navbar{
      background: #f5f8fa !important;

      box-shadow: 0px 2px 8px 0px rgba(0,0,0,.5);
      @supports (filter: drop-shadow(2px 3px 3px rgba(0,0,0,.5))){
        box-shadow: none;
        filter: drop-shadow(2px 3px 3px rgba(0,0,0,.5));
      }
      .nav-item{
        .nav-link{
          color: $black;
          color: var(--black);
        }
        &.since-title{
          color: $blue;
          color: var(--blue);
        }
      }
      .title{
        color: #333333;
        hr{
          border-color: #707070;
        }
      }
      .navbar-brand{
        border-bottom: 2px solid rgba(0, 0, 0, .5);
        @supports (filter: drop-shadow(2px 3px 3px rgba(0,0,0,.5))){
          border-bottom: 0;
        }
      }
    }
  }

  .navbar{
    height: $navbar-height;
    padding-left: 50px;
    padding-right: 50px; 
    justify-content: space-between;
    .navbar-collapse{
      flex-grow: 0;
    }

    .nav-item{
      .nav-link{
        color: $white;
        color: var(--white);
        &:focus{
          outline: 0;
          border: 0;
        }
      }
     &.since-title{
       color: $white;
       color: var(--white);
     }
    }
    .title{
      color: $white;
      color: var(--white);
      hr{
        border-color: $white;
        border-color: var(--white);
      }
    }

    .navbar-nav{
      .nav-item{
        &.dropdown{
          &.show{
            // padding: 0 10px;
            // z-index: 9999;
            // background: rgba(42, 96, 149, .35);
            .nav-link{
              // color: #fff;
              //font-family: 'Montserrat-SemiBold';
            }
            .dropdown-menu{
              &.show{
                // margin: 0;
                border-radius: 0;
                border-bottom-left-radius: 5px;
                border-bottom-right-radius: 5px;
                border: 0;
                padding: 10px 15px;
                min-width: 100%;
                border-top: 2px solid $light-blue; 
                box-shadow: 0px 3px 5px 1px rgba($light-blue, 0.4);
                &:before, &:after{
                  content: '';
                  position: absolute;
                  border-bottom: 15px solid;
                  border-right: 15px solid transparent;
                  border-left: 15px solid transparent;
                  left: 50%;
                  transform: translateX(-50%);
                }
                &.user-dropdown{
                  &:before, &:after{
                    left: 46px;
                    transform: none;
                  }
                  .dropdown-item{
                    &.user-name {
                        width: 100px;
                        word-break: break-word;
                        display: block;
                        white-space: normal;
                    }
                  }
                }
                &:before{
                  bottom: 100%;
                  border-bottom-color: $light-blue;
                }
                &:after{
                  top: -12px;
                  border-bottom-color: #fff;
                }

                .dropdown-item{
                  border-bottom: 1px solid rgba($light-blue,.2);
                  padding: 5px 0px;
                  font-size: 17px;
                  color: $light-blue;
                  font-family: "Lato-Regular";
                  text-align: center;
                  position: relative;
                  white-space: normal;
                  &:last-child{
                    border-bottom: 0;
                  }
                  &:hover{
                    color: $light-blue;
                    color: var(--light-blue);
                  }
                  &:active {
                      color: #fff;
                      text-decoration: none;
                      background-color: #3f9ad5;
                  }
                  &.active, &:focus {
                      color: #fff;
                      text-decoration: none;
                      background-color: $light-blue;
                  }
                }
              }

            }
          }

        }

        &:first-child{
          padding-left: 8px;
        }
        .nav-link{
          padding-left: 20px;
          font-size: 16px;
          font-family: 'Montserrat-Medium';
          text-transform: uppercase;
          letter-spacing: 1.22px;
          text-align: center;
          //line-height: 73px;
          svg{
            width: 20px;
            height: 20px;
          }
        }

        &.since-title{
          font-size: 22px;
          font-family: 'Lato-Regular';
          letter-spacing: 1.06px;
          //line-height: 92px;
        }

      }
    }

    .navbar-brand{
      position: absolute;
      top: 8px;
      left: 50%;
      transform: translateX(-50%);
      z-index: 99;
      background: inherit;

      display: flex;
      flex-direction: column;
      align-items: center;

      align-self: flex-start;
      padding: 0 100px;
      border-bottom-right-radius: 20px;
      border-bottom-left-radius: 20px;
      clip-path: polygon( 0% 0%,
                          0% 82%,
                          10% 100%,
                          90% 100%,
                          100% 82%,
                          100% 0%);
      margin: 0;

      .main-logo{
        width: 42px;
      }
      .title{
        font-size: 16px;
        font-family: 'Montserrat-Regular';

        text-transform: uppercase;
        text-align: center;
        letter-spacing: 1.3px;
        //line-height: 43px;
        margin-top: 7px;
        span{
          display: block;
        }
        hr{
          margin: 0;
        }



      }



    }
    .navbar-toggler{
      border-radius: 50%;
      padding: 0;
      height: 50px;
      width: 50px;

      z-index: 999;
    }
    .collapsed-mobile-menu{
      width: 0;
      overflow: hidden;

      position: absolute;
      &.collapse:not(.show) {
          display: none !important;
      }
    }
  }
}


@media screen and (max-width: 1800px) {
  // $navbar-height: getNavHeight(1900);
  .navbar-section{
    .navbar{
      // height: $navbar-height;
      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              .dropdown-menu{
                &.show{
                  .dropdown-item{
                  }
                }
              }
            }
          }

          .nav-link{
            font-size: 13px;
            svg{
            }
          }

          &.since-title{
          }

        }
      }

      .navbar-brand{
        .main-logo{
        }
        .title{
        }
      }


    }
  }
}

@media screen and (max-width: 1600px) {
  $navbar-height: getNavHeight(1600);
  .navbar-section{
    .navbar{
      height: $navbar-height;
      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              .dropdown-menu{
                &.show{
                  .dropdown-item{
                    font-size: 15px;
                  }
                }
              }
            }
          }

          .nav-link{
            svg{
              width: 20px;
              height: 20px;
            }
          }

          &.since-title{
            font-size: 18px;
          }

        }
      }

      .navbar-brand{
        padding: 0 70px;
        .main-logo{
          width: 34px;
        }
        .title{
          font-size: 13px;
        }
      }


    }
  }
}

@media screen and (max-width: 1440px) {
  $navbar-height: getNavHeight(1440);
  .navbar-section{
    .navbar{
      height: $navbar-height;

      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              // padding: 0 30px;
              .dropdown-menu{
                &.show{

                  &.user-dropdown{
                    &:before, &:after{
                      left: 37px;
                    }
                    .dropdown-item{
                      &.user-name {
                      }
                    }
                  }

                  // padding: 0 20px 10px;
                  .dropdown-item{
                    font-size: 13px;
                  }
                }
              }
            }
          }

          .nav-link{
            font-size: 11px;
            svg{
              width: 16px;
              height: 16px;
            }
          }

          &.since-title{
            font-size: 14px;
          }

        }
      }

      .navbar-brand{
        padding: 0 60px;
        .main-logo{
          width: 23px;
        }
        .title{
          font-size: 12px;
        }
      }


    }
  }
}


@media screen and (max-width: 1366px) {
  $navbar-height: getNavHeight(1366);
  .navbar-section{
    .navbar{
      height: $navbar-height;

      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              // padding: 0 30px;
              .dropdown-menu{
                &.show{

                  &.user-dropdown{
                    &:before, &:after{
                    }
                    .dropdown-item{
                      &.user-name {
                      }
                    }
                  }

                  // padding: 0 20px 10px;
                  .dropdown-item{
                  }
                }
              }
            }
          }

          .nav-link{
            font-size: 11px;
            padding-left: 10px;
            padding-right: 10px;
            letter-spacing: .8px;
            svg{
            }
          }

          &.since-title{
          }

        }
      }

      .navbar-brand{
        .main-logo{
        }
        .title{
        }
      }


    }
  }
}

@media screen and (max-width: 1280px) {
  $navbar-height: getNavHeight(1280);
  .navbar-section{
    .navbar{
      height: $navbar-height;
      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              .dropdown-menu{
                &.show{
                  .dropdown-item{
                  }
                }
              }
            }
          }

          .nav-link{
            font-size: 10px;
            padding-left: 5px;
            svg{
              width: 12px;
              height: 12px;
            }
          }

          &.since-title{
          }

        }
      }

      .navbar-brand{        
        clip-path: polygon(0% 0%, 0% 80%, 10% 100%, 90% 100%, 100% 80%, 100% 0%);
        .main-logo{
          width: 20px;
        }
        .title{
          font-size: 10px;
        }
      }


    }
  }
}

@media screen and (max-width: 1200px) {
  .navbar-section{
    .navbar{

      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              // padding: 0 40px;
              .dropdown-menu{
                &.show{
                  .dropdown-item{
                  }
                }
              }
            }
          }

          .nav-link{
            font-size: 9px;
            svg{
            }
          }

          &.since-title{
          }

        }
      }

      .navbar-brand{
        .main-logo{
        }
        .title{
        }
      }


    }
  }
}
@media screen and (max-width: 1080px) {
  .navbar-section{
    .navbar{

      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              // padding: 0 40px;
              .dropdown-menu{
                &.show{
                  .dropdown-item{
                    font-size: 10px;
                  }
                }
              }
            }
          }

          .nav-link{
            font-size: 7px;
            svg{
              width: 10px;
              height: 10px;
            }
          }

          &.since-title{
            font-size: 11px;
          }

        }
      }

      .navbar-brand{
        .main-logo{
        }
        .title{
        }
      }


    }
  }
}
@media screen and (max-width: 991px) {
  .navbar-section{
    .navbar{
      justify-content: center;
      .navbar-toggler{
        position: absolute;        
        top: 50%;
        transform: translateY(-50%);
        left: 20px;
        background: #fff;
        display: none;
      }
      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              // padding: 10px;
              background: transparent;
              .dropdown-menu{
                text-align: center;
                position: relative;
                margin-top: 10px;
                &.show{
                  display: inline-block;
                  width: auto;
                  min-width: auto;
                  &:before, &:after{
                    left: 50%;
                    transform: translateX(-50%);
                    border-bottom-width: 10px;
                    border-right-width: 10px;
                    border-left-width: 10px ;
                  }
                  &:before{
                  }
                  &:after{
                    top: -7px;
                  }
                  &.user-dropdown{
                    &:before, &:after{
                      left: 50%;
                      transform: translateX(-50%);
                    }
                    .dropdown-item{
                      &.user-name {
                        width: 80px;
                      }
                    }
                  }
                  .dropdown-item{
                  }
                }
              }
            }
          }

          .nav-link{
            padding-left: 20px;
            padding-right: 20px;
            font-size: 10px;
            letter-spacing: 1.22px;

            svg{
              width: 15px;
              height: 15px;
            }
          }

          &.since-title{
          }

        }
      }

      .navbar-brand{
        .main-logo{
        }
        .title{
        }
      }

      .collapsed-mobile-menu{
        top: 100%;
        background: #dddddd;
        width: 100%;
        left: 0;
        text-align: center;
        ul{
          display: none;
        }        
      }


    }

    &.sticky, &.enable-bg{
      .navbar{
        .navbar-toggler{
          display: block;
        }
        .collapsed-mobile-menu{
          padding: 20px 0;
          &.show{
            // display: block;
          }
          ul{
            display: flex;
          }        
        }
      }
    }
  }
}

@media screen and (max-width: 767px) {}

@media screen and (max-width: 414px) {
  .navbar-section{
    .navbar{
      .navbar-toggler{
      }
      .navbar-nav{
        .nav-item{
          &.dropdown{
            &.show{
              .dropdown-menu{
                &.show{
                  .dropdown-item{
                  }
                }
              }
            }
          }

          .nav-link{
          }

          &.since-title{
          }

        }
      }

      .navbar-brand{
        padding: 0 40px;
        .main-logo{
        }
        .title{
        }
      }

      .collapsed-mobile-menu{
      }


    }

    &.sticky, &.enable-bg{
      .navbar{
        .navbar-toggler{
        }
        .collapsed-mobile-menu{
                
        }
      }
    }
  }
}

@media screen and (max-width: 375px) {}

@media screen and (max-width: 350px) {}